# $Revision: 1.6 $, $Date: 2001/11/30 09:07:54 $
%include	/usr/lib/rpm/macros.perl
Summary:	jdresolve resolves IP addresses into hostnames with recursion
Summary(pl):	Tumaczenie adresw IP na nazwy z rekurencj
Name:		jdresolve
Version:	0.6.1
Release:	2
License:	GPL
Group:		Development/Languages
Group(de):	Entwicklung/Sprachen
Group(pl):	Programowanie/Jzyki
Source0:	http://www.jdrowell.com/files/%{name}-%{version}.tar.gz
Patch0:		%{name}-noroot.patch
Url:		http://www.jdrowell.com/Linux/Projects/jdresolve
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Requires:	perl >= 5.004
Requires:	perl-Net-DNS >= 0.12
BuildArch:	noarch

%description
The jdresolve application resolves IP addresses into hostnames. To
reduce the time necessary to resolve large batches of addresses,
jdresolve opens many concurrent connections to the DNS servers, and
keeps a large number of text lines in memory. These lines can have any
content, as long as the IP addresses are the first field to the left.
This is usually the case with most formats of HTTP and FTP log files.

For addresses that can't be resolved due to timeouts or incorrectly
configured reverse mappings, a recursive algorithm is available. A
search is made for the parent domains (classes C, B and A) of the IP
address and those domain names become available for composing a fake
hostname, thru a user defined mask.

%description -l pl
Program jdresolve tumaczy adresy IP na nazwy komputerw. Aby
zmniejszy czas potrzebny na przetumaczenie duych partii adresw,
jdresolve otwiera wiele jednoczesnych pocze do serwerw DNS,
trzymajc wiele linii tekstu w pamici. Te linie mog mie dowoln
zawarto, pod warunkiem, e adresy IP s pierwszym polem od lewej.
Tak jest zazwyczaj w przypadku wikszoci formatw logw HTTP i FTP.

Dla adresw, ktre nie mog by przetumaczone z powodu timeoutw lub
le skonfigurowanych stref odwrotnych, dostpny jest algorytm
rekurencyjny: szukane s domeny nadrzdne (klasy C, B, A) adresu IP, a
te nazwy domen s uywane do tworzenia faszywych nazw hostw, z
uyciem maski zdefiniowanej przez uytkownika.

%prep
%setup  -q
%patch0 -p1

%build
sh configure

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	BINDIR=%{_bindir} \
	MANDIR=%{_mandir}/man1 \
	USER=`id -u` \
	GROUP=`id -g`

gzip -9nf CHANGELOG CREDITS README TODO

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc {CHANGELOG,CREDITS,README,TODO}.gz
%{_mandir}/man1/*
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: jdresolve.spec,v $
Revision 1.6  2001/11/30 09:07:54  qboosh
- adapterized, pl translations, cosmetics

Revision 1.5  2001/04/17 12:04:41  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.4  2001/01/15 15:34:06  wiget
0.6.1

Revision 1.3  2000/06/09 07:23:03  kloczek
- added using %%{__make} macro.

Revision 1.2  2000/05/21 15:02:33  kloczek
- spec adapterized.

Revision 1.1  2000/04/14 15:59:33  wiget
- rewrite

* Mon Aug 26 1999 John Douglas Rowell <me@jdrowell.com>
- version 0.5.2
- fixed memory leak when not using --database
- fixed warnings when not using --recursive

* Mon Aug 16 1999 John Douglas Rowell <me@jdrowell.com>
- version 0.5.1
- fixed warning messages on FreeBSD
- added jdresolve-mergedb and jdresolve-unresolved utils

* Wed Jul 27 1999 John Douglas Rowell <me@jdrowell.com>
- version 0.5
- Added database support (--database and jdresolve-dumpdb)

* Wed Jul 14 1999 John Douglas Rowell <me@jdrowell.com>
- First build (v0.4).
